Java-Erlang Interface Library: Class OtpErlangFloat

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpErlangFloat

    java.lang.Object
      |
      +--com.ericsson.otp.erlang.OtpErlangObject
            |
            +--com.ericsson.otp.erlang.OtpErlangDouble
                  |
                  +--com.ericsson.otp.erlang.OtpErlangFloat

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class OtpErlangFloat
extends OtpErlangDouble
implements java.io.Serializable, java.lang.Cloneable

Provides a Java representation of Erlang floats and doubles.

See Also:
  Serialized Form

Constructor Summary
`OtpErlangFloat(float f)` Create an Erlang float from the given float value.
`OtpErlangFloat(OtpInputStream buf)` Create an Erlang float from a stream containing a float encoded in Erlang external format.

Methods inherited from class com.ericsson.otp.erlang.OtpErlangDouble
`doubleValue, encode, equals, floatValue, toString`

Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject
`clone, decode`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpErlangFloat

    public OtpErlangFloat(float f)

  Create an Erlang float from the given float value.

### OtpErlangFloat

    public OtpErlangFloat(OtpInputStream buf)
                   throws OtpErlangDecodeException,
                          OtpErlangRangeException

  Create an Erlang float from a stream containing a float encoded in Erlang external format.
  Parameters:
    `buf` - the stream containing the encoded value.
  Throws:
    `OtpErlangDecodeException` - if the buffer does not contain a valid external representation of an Erlang float.
    `OtpErlangRangeException` - if the value cannot be represented as a Java float.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD